#!/bin/bash
# packager/author    : Fred Broders <Ugly Dolphin> (fred~AT~f-r-e-d.org)
# source location    : http://pagesperso-orange.fr/zwazo.ivol/
# last revised       : 05.11.2007

softname='wallpapers'
softversion='0.2'
packageversion='50.1'

arch='noarch'

# parameters needed for the build process
buildir=$(pwd)
srcpkg="$buildir/$softname-$softversion.tar.bz2"
src="$buildir/$softname-$softversion"
package="$softname-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# prepare the build result directory
rm -rf $dest
mkdir -p $dest
mkdir -p $dest/install
mkdir -p $dest/usr/doc/$softname-$softversion
mkdir -p $dest/usr/share/$softname
mkdir -p $dest/usr/src/$softname-$softversion

# put slack-desc in place
cat <<EOF > $dest/install/slack-desc
          |-----handy-ruler----------------------------------------------|
wallpapers: Extra wallpapers for Zenwalk-Linux
wallpapers:
wallpapers: Package with cool zenwalk wallpapers, by Ugly Dolphin.
wallpapers: See the README for licenses. Copyright zenwalk.org
wallpapers:
wallpapers:
wallpapers:
wallpapers:
wallpapers:
wallpapers: Package made for Zenwalk Linux
wallpapers:
EOF

# put the Zenwalk wallpapers in place
cd $buildir
tar xjvf $srcpkg
cd $src
cp -rf $softname $dest/usr/share/

# Add default doc
cp -a \
      README license.html \
      $dest/usr/doc/$softname-$softversion


# ZenBuild
cp $buildir/build-$softname.sh $dest/usr/src/$softname-$softversion

# set target permissions
chown -R root:root $dest

cd $dest
find . -perm 664 -exec chmod 644 {} \;
find . -perm 600 -exec chmod 644 {} \;
find . -perm 444 -exec chmod 644 {} \;
find . -perm 400 -exec chmod 644 {} \;
find . -perm 440 -exec chmod 644 {} \;
find . -perm 777 -exec chmod 755 {} \;
find . -perm 775 -exec chmod 755 {} \;
find . -perm 511 -exec chmod 755 {} \;
find . -perm 711 -exec chmod 755 {} \;
find . -perm 555 -exec chmod 755 {} \;
find . -type d -exec chmod 755 {} \;

# real packaging work:
cd $dest
makepkg -l y -c n $dest.tgz

# computes the md5sum signature for the package
cd $buildir
md5sum $package.tgz > $package.md5

# .dep file
touch $package.dep
